{
"board_id": "winter-frost-CJk4G",
"chat_id": "chatNode-patient-star-4uIJt",
"prompt": "What is my favourite number?",
"model": "gpt-4o",
"additional_context": "My favourite number is 444"
}
{
"text": "Based on the information available, your favorite number is 444.",
"credits_used": 0.04975,
"credits_remaining": 1853.74585
}
Conversation Endpoints
Ask knowledge base
Ask a single question from the chat assistant and connected knowledge base
POST
/
api
/
conversation
{
"board_id": "winter-frost-CJk4G",
"chat_id": "chatNode-patient-star-4uIJt",
"prompt": "What is my favourite number?",
"model": "gpt-4o",
"additional_context": "My favourite number is 444"
}
{
"text": "Based on the information available, your favorite number is 444.",
"credits_used": 0.04975,
"credits_remaining": 1853.74585
}
This endpoint allows you to ask a question and get an answer that incorporates all your connected knowledge sources and documents.
Request Parameters
Request Body
The AI model to use. Allowed values: claude-sonnet-5, claude-sonnet-4-6, claude-sonnet-4-5,
o3-mini, gpt-4o, grok-2-1212, gpt-4o-mini
Force the AI response to use plain text instead of markdown. Allowed values are “true” or
“active”. Any other value will disable plaintext.
Return the answer as a stream instead of a JSON. Allowed values are “true” or “active”. Any other
value will disable streaming.
When streaming is enabled, set this to
true to receive credit usage information as a final chunk
in the stream. The usage chunk will be appended after the finish event with the format:
{"type":"usage","credits_used":0.123}. This is similar to OpenAI’s stream_options.include_usage parameter.Extra information you want to include for this specific question (will not be stored in your
knowledge base)
Response
{
"board_id": "winter-frost-CJk4G",
"chat_id": "chatNode-patient-star-4uIJt",
"prompt": "What is my favourite number?",
"model": "gpt-4o",
"additional_context": "My favourite number is 444"
}
{
"text": "Based on the information available, your favorite number is 444.",
"credits_used": 0.04975,
"credits_remaining": 1853.74585
}
